/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { Parallax } from './parallax';
// May contain unused imports in some cases
// @ts-ignore
import { PmDec } from './pm-dec';
// May contain unused imports in some cases
// @ts-ignore
import { PmRa } from './pm-ra';

/**
 * 
 * @export
 * @interface IcrsCoordinates
 */
export interface IcrsCoordinates {
    /**
     * 
     * @type {string}
     * @memberof IcrsCoordinates
     */
    'ra_str': string;
    /**
     * 
     * @type {string}
     * @memberof IcrsCoordinates
     */
    'dec_str': string;
    /**
     * 
     * @type {PmRa}
     * @memberof IcrsCoordinates
     */
    'pm_ra'?: PmRa;
    /**
     * 
     * @type {PmDec}
     * @memberof IcrsCoordinates
     */
    'pm_dec'?: PmDec;
    /**
     * 
     * @type {Parallax}
     * @memberof IcrsCoordinates
     */
    'parallax'?: Parallax;
    /**
     * Epoch of proper motion, date when proper motion offset was zero. Note this is an astronomical epoch, not a Unix epoch timestamp
     * @type {number}
     * @memberof IcrsCoordinates
     */
    'epoch'?: number;
    /**
     * 
     * @type {string}
     * @memberof IcrsCoordinates
     */
    'kind'?: string;
    /**
     * 
     * @type {string}
     * @memberof IcrsCoordinates
     */
    'reference_frame'?: string;
}

